import { StatusResultData, Bedrock, PollReferenceStatusParams } from '@bedrock-foundation/sdk';
declare type UsePollReferenceStatusParams = {
    onComplete?: (data: StatusResultData) => void;
    onError?: (error: Error) => void;
    onCancel?: () => void;
    bedrock: Bedrock;
} & PollReferenceStatusParams;
declare type UsePollReferenceStatus = {
    data: StatusResultData | null;
    error: Error | null;
    cancel: () => void;
};
export declare function usePollReferenceStatus(params: UsePollReferenceStatusParams): UsePollReferenceStatus;
export {};
